#include <string.h>

#ifndef _mySQL4WD_h
#define _mySQL4WD_h

#define MYSQL_MAX_STATEMENT    5
#define MYSQL_MAX_CONNECTION   4
#define strmove(d, s)          memmove(d, s, strlen(s) + 1)

extern "C" __declspec(dllexport) unsigned int __cdecl mySQLConnecte(int, char *, char *, char *, char *, unsigned int, char *, unsigned int);
extern "C" __declspec(dllexport) void __cdecl mySQLDeconnecte(int);
extern "C" __declspec(dllexport) unsigned int __cdecl mySQLExec(int, char *, unsigned int, int);
extern "C" __declspec(dllexport) void __cdecl mySQLFerme(int, int);
extern "C" __declspec(dllexport) unsigned int __cdecl mySQLPremier(int, int);
extern "C" __declspec(dllexport) unsigned int __cdecl mySQLDernier(int, int);
extern "C" __declspec(dllexport) unsigned int __cdecl mySQLFetch(int, int);
extern "C" __declspec(dllexport) BOOL __cdecl mySQLSuivant(int, int);
extern "C" __declspec(dllexport) BOOL __cdecl mySQLPrecedent(int, int);
extern "C" __declspec(dllexport) unsigned int __cdecl mySQLNextResult(int);
extern "C" __declspec(dllexport) void __cdecl mySQLLitCol(int, int, unsigned int, char *);
extern "C" __declspec(dllexport) void __cdecl mySQLLitMemo(int, int, unsigned int, char *);
extern "C" __declspec(dllexport) void __cdecl mySQLLitColParNom(int, int, char *, char *);
extern "C" __declspec(dllexport) void __cdecl mySQLLitLigne(int, int, char *);
extern "C" __declspec(dllexport) unsigned int __cdecl mySQLGetNumFields(int, int);
extern "C" __declspec(dllexport) void __cdecl mySQLGetFieldName(int, int, unsigned int, char *);
extern "C" __declspec(dllexport) unsigned long __cdecl mySQLGetNumRows(int, int);
extern "C" __declspec(dllexport) void __cdecl mySQLGetErrorMessage(int, char *);
extern "C" __declspec(dllexport) int __cdecl mySQLGetMaxRequestNumber(void);
extern "C" __declspec(dllexport) int __cdecl mySQLPing(int);
extern "C" __declspec(dllexport) int __cdecl mySQLOptions(int, char *);
extern "C" __declspec(dllexport) void __cdecl mySQLInfo(int, char *);
extern "C" __declspec(dllexport) void __cdecl mySQLGetClientInfo(char *);
extern "C" __declspec(dllexport) void __cdecl mySQLGetHostInfo(int, char *);
extern "C" __declspec(dllexport) void __cdecl mySQLGetServerInfo(int, char *);
extern "C" __declspec(dllexport) int __cdecl mySQLSetServerOption(int, int);
extern "C" __declspec(dllexport) BOOL __cdecl mySQLThreadInit(void);
extern "C" __declspec(dllexport) void __cdecl mySQLThreadEnd(void);
extern "C" __declspec(dllexport) BOOL __cdecl mySQLRequestInUse(int, int);
extern "C" __declspec(dllexport) BOOL __cdecl mySQLTestCompatibilite(char *);

#endif
